<?php
/**
 * etape1.php
 *
 * Ce fichier réalise l'étape 1 du processus de dimensionnement et de choix d'un moteur à courant continu :
 * En fonction de l'utilisation voulue, saisie du couple, vitesse, tension et courant. La puissance mécanique est calculée
 *
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   choixMoteurs
 * @package    choixMoteurs
 * @author     David SALLE <david.salle@ac-poitiers.fr>
 * @author     Jean-Jacques MAUPETIT <j-j.maupetit@numericable.fr> 
 * @copyright  1997-2005 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    v1.0
 * @link       http://sandiris.free.fr/moteurs
 * @see        NetOther, Net_Sample::Net_Sample()
 * @since      File available since Release 0.1
 * @deprecated No
 */

	
	//Demarrage des sessions
	session_start();

	// On fixe le numero de l'etape ou l'on se trouve
	$_SESSION["etape"] = 1;	
	
	// Inclusion de l'en-tete HTML et du menu
	include ("configuration.php");
	include("entete.php");


	// Sauvegarde des valeurs saisies par l'utilisateur (sauf si premier affichage)
	if (isset($_POST["couple"]))
		$_SESSION["couple"] = $_POST["couple"];
		
	if (isset($_POST["vitesse"]))
		$_SESSION["vitesse"] = $_POST["vitesse"];
		
	if (isset($_POST["tension"]))
		$_SESSION["tension"] = $_POST["tension"];
		
	if (isset($_POST["courant"]))
		$_SESSION["courant"] = $_POST["courant"];
		
	
	// Calcul de la puissance mécanique
	$_SESSION["puissance"] = $_SESSION["couple"] * $_SESSION["vitesse"] * (3.1415927/30000);
	
	
	
	// Affichage des consignes
	echo "<div id=\"zoneConsigne\"><strong>Etape 1 : </strong>Entrer les valeurs pour l'application, puis cliquer sur le bouton [calculer] pour d&eacute;terminer la puissance m&eacute;canique de votre moteur</div>";
	
	
	// Debut de la zone principale
	echo "<div id=\"zonePrincipale\">";
	
	// Affichage du formulaire de saisie
	echo "<form name=\"form1\" method=\"POST\" name=\"etape1.php\">";
	echo "<table>";
	echo "<tr>";
	echo "<td>Couple demand&eacute; : </td>";
	echo "<td><input type=\"text\" name=\"couple\" size=\"".$tailleChamps."\" value=\"".$_SESSION["couple"]."\"></td>";
	echo "<td> mNm</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td>Vitesse requise : </td>";
	echo "<td><input type=\"text\" name=\"vitesse\" size=\"".$tailleChamps."\" value=\"".$_SESSION["vitesse"]."\"></td>";
	echo "<td> rpm</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td>Tension d'alimentation : </td>";
	echo "<td><input type=\"text\" name=\"tension\" size=\"".$tailleChamps."\" value=\"".$_SESSION["tension"]."\"></td>";
	echo "<td> V</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td>Courant d'alimentation : </td>";
	echo "<td><input type=\"text\" name=\"courant\" size=\"".$tailleChamps."\" value=\"".$_SESSION["courant"]."\"></td>";
	echo "<td> A</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td><input type=\"submit\" name=\"calculer\" value=\"Calculer\" class=\"bouton\"></td>";
	echo "<td><input type=\"reset\" name=\"reinitialiser\" value=\"R&eacute;initialiser\" class=\"bouton\"></td>";
	echo "</tr>";	
	
	// Affichage du résultat intermédiaire (si besoin)
	echo "<tr>";
	echo "<td>Puissance mécanique : </td>";	
	if ($_SESSION["puissance"] != 0)
	{
		echo "<td><input type=\"text\" name=\"puissance\" size=\"".$tailleChamps."\" value=\"".round($_SESSION["puissance"], $nbChiffres)."\"></td>";	
		echo "<td> W</td>";
	}	
	echo "</tr>";

	// Fin du tableau/formulaire
	echo "</table>";
	echo "</form>";
		

	// Fin de la zone principale
	echo "</div>";

	
	// Inclusion du pied de page HTML
	include("pied.php");

?>	
	
