<?php
/**
 * etape2.php
 *
 * Ce fichier réalise l'étape 2 du processus de dimensionnement et de choix d'un moteur à courant continu
 * A partir d'un catalogue, choisir un moteur et entrer ses caractéristiques. Attention aux unités. Tous les champs 
 * sont obligatoires. Dans certains cas la constante FEM n'est pas donnée (Ke = PI x Km / 30), idem pour le 
 * couple de frottement (Mr = Km x Io). Le courant de démarrage et le couple au rendement maximum sont alors calculés.
 *
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   choixMoteurs
 * @package    choixMoteurs
 * @author     David SALLE <david.salle@ac-poitiers.fr>
 * @author     Jean-Jacques MAUPETIT <j-j.maupetit@numericable.fr> 
 * @copyright  1997-2005 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    v1.0
 * @link       http://sandiris.free.fr/moteurs
 * @see        NetOther, Net_Sample::Net_Sample()
 * @since      File available since Release 0.1
 * @deprecated No
 */


	//Demarrage des sessions
	session_start();
	
	// On fixe le numero de l'onglet ou l'on se trouve
	$_SESSION["etape"] = 2;
	
	
	// Inclusion de l'en-tete HTML et du menu
	include ("configuration.php");
	include("entete.php");
	

	// Sauvegarde des valeurs saisies par l'utilisateur (sauf si premier affichage)
	if (isset($_POST["reference"]))
		$_SESSION["reference"] = $_POST["reference"];
		
	if (isset($_POST["tensionnominale"]))
		$_SESSION["tensionnominale"] = $_POST["tensionnominale"];
		
	if (isset($_POST["puissancemax"]))
		$_SESSION["puissancemax"] = $_POST["puissancemax"];
		
	if (isset($_POST["resistance"]))
		$_SESSION["resistance"] = $_POST["resistance"];
		
	if (isset($_POST["courantavide"]))
		$_SESSION["courantavide"] = $_POST["courantavide"];
		
	if (isset($_POST["vitesseavide"]))
		$_SESSION["vitesseavide"] = $_POST["vitesseavide"];
		
	if (isset($_POST["coupledemarrage"]))
		$_SESSION["coupledemarrage"] = $_POST["coupledemarrage"];
		
	if (isset($_POST["couplefrottement"]))
		$_SESSION["couplefrottement"] = $_POST["couplefrottement"];
		
	if (isset($_POST["constantefem"]))
		$_SESSION["constantefem"] = $_POST["constantefem"];
		
	if (isset($_POST["constantecouple"]))
		$_SESSION["constantecouple"] = $_POST["constantecouple"];
	
	
	// Calcul des parametres
	if ( ($_SESSION["resistance"] != 0) && (isset($_SESSION["resistance"])) )
		$_SESSION["courantdemarrage"] = $_SESSION["tensionnominale"] / $_SESSION["resistance"];
	else
		$_SESSION["courantdemarrage"] = 0;
		
	if ( ($_SESSION["couplefrottement"] != 0) && (isset($_SESSION["couplefrottement"])) )
		$_SESSION["couplerendemementmax"] = sqrt($_SESSION["coupledemarrage"]*$_SESSION["couplefrottement"]);
	else
		$_SESSION["couplerendemementmax"] = 0;
	
	
	// Affichage des consignes
	echo "<div id=\"zoneConsigne\"><strong>Etape 2 : </strong>Choisir un moteur, entrer ses caract&eacute;ristiques et cliquer sur le bouton [calculer] afin de d&eacute;terminer le courant de d&eacute;marrage et le couple au rendement maximum. Le moteur choisi devra avoir 1,5 à 2 fois la puissance mécanique et avoir une tension nominale égale ou supérieure à celle demandée</div>";


	// Debut de la zone principale
	echo "<div id=\"zonePrincipale\">";
	
	
	// Affichage des valeurs precedentes
	echo "<table>";
	echo "<caption>Rappel des valeurs pr&eacute;c&eacute;dentes :</caption>";
	echo "<tr>";
	echo "<td>Couple demand&eacute; : </td>";
	echo "<td>".$_SESSION["couple"]."</td>";
	echo "<td> mNm</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td>Vitesse requise : </td>";
	echo "<td>".$_SESSION["vitesse"]."</td>";
	echo "<td> rpm</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td>Tension d'alimentation : </td>";
	echo "<td>".$_SESSION["tension"]."</td>";
	echo "<td> V</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td>Courant d'alimentation : </td>";
	echo "<td>".$_SESSION["courant"]."</td>";
	echo "<td> A</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td>Puissance mécanique : </td>";		
	echo "<td>".round($_SESSION["puissance"], $nbChiffres)."</td>";	
	echo "<td> W</td>";		
	echo "</tr>";		
	echo "</table>";

	// Affichage du formulaire de saisie		
	echo "<form name=\"form2\" method=\"POST\" name=\"etape2.php\">";
	echo "<table>";
	echo "<caption>Formulaire de saisie :</caption>";
	echo "<tr>";
	echo "<td>R&eacute;f&eacute;rence moteur : </td>";
	echo "<td><input type=\"text\" name=\"reference\" size=\"".$tailleChamps."\" value=\"".$_SESSION["reference"]."\"></td>";
	echo "</tr>";
	echo "<td>Tension nominale : </td>";
	echo "<td><input type=\"text\" name=\"tensionnominale\" size=\"".$tailleChamps."\" value=\"".$_SESSION["tensionnominale"]."\"></td>";
	echo "<td> V</td>";
	echo "</tr>";
	echo "<td>Puissance utile maximale : </td>";
	echo "<td><input type=\"text\" name=\"puissancemax\" size=\"".$tailleChamps."\" value=\"".$_SESSION["puissancemax"]."\"></td>";
	echo "<td> W</td>";
	echo "<tr>";
	echo "<td>R&eacute;sistance induit : </td>";
	echo "<td><input type=\"text\" name=\"resistance\" size=\"".$tailleChamps."\" value=\"".$_SESSION["resistance"]."\"></td>";
	echo "<td> ohm</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td>Courant à vide : </td>";
	echo "<td><input type=\"text\" name=\"courantavide\" size=\"".$tailleChamps."\" value=\"".$_SESSION["courantavide"]."\"></td>";
	echo "<td> A</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td>Vitesse à vide : </td>";
	echo "<td><input type=\"text\" name=\"vitesseavide\" size=\"".$tailleChamps."\" value=\"".$_SESSION["vitesseavide"]."\"></td>";
	echo "<td> rpm</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td>Couple de d&eacute;marrage : </td>";
	echo "<td><input type=\"text\" name=\"coupledemarrage\" size=\"".$tailleChamps."\" value=\"".$_SESSION["coupledemarrage"]."\"></td>";
	echo "<td> mNm</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td>Couple de frottement : </td>";
	echo "<td><input type=\"text\" name=\"couplefrottement\" size=\"".$tailleChamps."\" value=\"".$_SESSION["couplefrottement"]."\"></td>";
	echo "<td> mNm</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td>Constante FEM : </td>";
	echo "<td><input type=\"text\" name=\"constantefem\" size=\"".$tailleChamps."\" value=\"".$_SESSION["constantefem"]."\"></td>";
	echo "<td> mV/rpm</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td>Constante de couple : </td>";
	echo "<td><input type=\"text\" name=\"constantecouple\" size=\"".$tailleChamps."\" value=\"".$_SESSION["constantecouple"]."\"></td>";
	echo "<td> mNm/A</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td><input type=\"submit\" name=\"calculer\" value=\"Calculer\" class=\"bouton\"></td>";
	echo "<td><input type=\"reset\" name=\"reinitialiser\" value=\"R&eacute;initialiser\" class=\"bouton\"></td>";
	echo "</tr>";	
	
	
	// Affichage du résultat intermédiaire	
	echo "<tr>";
	echo "<td>Courant de d&eacute;marrage : </td>";
	if ($_SESSION["courantdemarrage"] != 0)
	{
		echo "<td><input type=\"text\" name=\"courantdemarrage\" size=\"".$tailleChamps."\" value=\"".round($_SESSION["courantdemarrage"], $nbChiffres)."\"></td>";
		echo "<td> A</td>";
	}
	echo "</tr>";
	echo "<tr>";
	echo "<td>Couple au rendement maximum : </td>";
	if ($_SESSION["couplerendemementmax"] != 0)
	{
		echo "<td><input type=\"text\" name=\"couplerendementmax\" size=\"".$tailleChamps."\" value=\"".round($_SESSION["couplerendemementmax"], $nbChiffres)."\"></td>";
		echo "<td> mNm</td>";
	}
	echo "</tr>";
	echo "</table>";
	echo "</form>";

	
	// Fin de la zone principale
	echo "</div>";
	
	// Inclusion du pied de page HTML
	include("pied.php");	
		
?>
 
