<?php
/**
 * etape3.php
 *
 * Ce fichier réalise l'étape 3 du processus de dimensionnement et de choix d'un moteur à courant continu
 * Les courbes sous tension nominale sont dessinés. Vous pouvez enregistrer/sauvegarder cette image
 * (clic-droit sur le graphique, enregistrer sous ...)
 *
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   choixMoteurs
 * @package    choixMoteurs
 * @author     David SALLE <david.salle@ac-poitiers.fr>
 * @author     Jean-Jacques MAUPETIT <j-j.maupetit@numericable.fr> 
 * @copyright  1997-2005 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    v1.0
 * @link       http://sandiris.free.fr/moteurs
 * @see        NetOther, Net_Sample::Net_Sample()
 * @since      File available since Release 0.1
 * @deprecated No
 */


	//Demarrage des sessions
	session_start();
	
	// On fixe le numero de l'onglet ou l'on se trouve
	$_SESSION["etape"] = 3;
	
	
	// Inclusion de l'en-tete HTML et du menu
	include ("configuration.php");
	include("entete.php");

	
	// Affichage des consignes
	echo "<div id=\"zoneConsigne\"><strong>Etape 3 : </strong>Trac&eacute; des courbes</div>";


	// Debut de la zone principale
	echo "<div id=\"zonePrincipale\">";
	
	
	// Affichage des valeurs contenues dans les cookies de l'etape 1	
	echo "<table>";
	echo "<caption>Rappel des valeurs pr&eacute;c&eacute;dentes :</caption>";
	echo "<tr>";
	echo "<td>Couple demand&eacute; : </td>";
	echo "<td>".$_SESSION["couple"]."</td>";
	echo "<td> mNm</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td>Vitesse requise : </td>";
	echo "<td>".$_SESSION["vitesse"]."</td>";
	echo "<td> rpm</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td>Tension d'alimentation : </td>";
	echo "<td>".$_SESSION["tension"]."</td>";
	echo "<td> V</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td>Courant d'alimentation : </td>";
	echo "<td>".$_SESSION["courant"]."</td>";
	echo "<td> A</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td>Puissance mécanique : </td>";		
	echo "<td>".round($_SESSION["puissance"],3)."</td>";	
	echo "<td> W</td>";		
	echo "</tr>";		
	
	// Affichage des valeurs contenues dans les cookies de l'etape 2
	echo "<tr>";
	echo "<td>R&eacute;f&eacute;rence moteur : </td>";
	echo "<td>".$_SESSION["reference"]."</td>";
	echo "</tr>";
	echo "<td>Tension nominale : </td>";
	echo "<td>".$_SESSION["tensionnominale"]."</td>";
	echo "<td> V</td>";
	echo "</tr>";
	echo "<td>Puissance utile maximale : </td>";
	echo "<td>".$_SESSION["puissancemax"]."</td>";
	echo "<td> W</td>";
	echo "<tr>";
	echo "<td>R&eacute;sistance induit : </td>";
	echo "<td>".$_SESSION["resistance"]."</td>";
	echo "<td> ohm</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td>Courant à vide : </td>";
	echo "<td>".$_SESSION["courantavide"]."</td>";
	echo "<td> A</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td>Vitesse à vide : </td>";
	echo "<td>".$_SESSION["vitesseavide"]."</td>";
	echo "<td> rpm</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td>Couple de d&eacute;marrage : </td>";
	echo "<td>".$_SESSION["coupledemarrage"]."</td>";
	echo "<td> mNm</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td>Couple de frottement : </td>";
	echo "<td>".$_SESSION["couplefrottement"]."</td>";
	echo "<td> mNm</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td>Constante FEM : </td>";
	echo "<td>".$_SESSION["constantefem"]."</td>";
	echo "<td> mV/rpm</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td>Constante de couple : </td>";
	echo "<td>".$_SESSION["constantecouple"]."</td>";
	echo "<td> mNm/A</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td>Courant de d&eacute;marrage : </td>";
	echo "<td>".round($_SESSION["courantdemarrage"], $nbChiffres)."</td>";
	echo "<td> A</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td>Couple au rendement maximum : </td>";
	echo "<td>".round($_SESSION["couplerendemementmax"], $nbChiffres)."</td>";
	echo "<td> mNm</td>";
	echo "</tr>";
	echo "</table>";


	// Affichage du graphique	
	echo "<img src=\"graphique.php\"'>";
		

	// Fin de la zone principale
	echo "</div>";
	
	
	// Inclusion du pied de page HTML
	include("pied.php");			
		
		
?>
 
