<?php
/**
 * etape4.php
 *
 * Ce fichier réalise l'étape 4 du processus de dimensionnement et de choix d'un moteur à courant continu
 * La tension d'alimentation dont on dispose est saisie et quelques valeurs recalculées
 * (courant et couple de démarrage, rendement maximum et couple optimal)
 * 
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   choixMoteurs
 * @package    choixMoteurs
 * @author     David SALLE <david.salle@ac-poitiers.fr>
 * @author     Jean-Jacques MAUPETIT <j-j.maupetit@numericable.fr> 
 * @copyright  1997-2005 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    v1.0
 * @link       http://sandiris.free.fr/moteurs
 * @see        NetOther, Net_Sample::Net_Sample()
 * @since      File available since Release 0.1
 * @deprecated No
 */


	//Demarrage des sessions
	session_start();
	
	// On fixe le numero de l'onglet ou l'on se trouve
	$_SESSION["etape"] = 4;
	
	
	// Inclusion de l'en-tete HTML et du menu
	include ("configuration.php");
	include("entete.php");


	if ( isset($_POST["tensiondemandee"]) )
	{
		// Recuperation des valeurs saisies
		$_SESSION["tensiondemandee"] = $_POST["tensiondemandee"];
		
		
		// Calcul de la vitesse a vide
		$_SESSION["vitesseavidebis"] = ( $_SESSION["tensiondemandee"] - $_SESSION["courantavide"] * $_SESSION["resistance"]) * (1000 / $_SESSION["constantefem"]);		
		
		// Calcul du courant de demarrage
		$_SESSION["courantdemarragebis"] = ($_SESSION['tensiondemandee'] / $_SESSION["resistance"]);			
	
		// Calcul du couple de demarrage
		$_SESSION["coupledemarragebis"] = $_SESSION["constantecouple"] * (($_SESSION["tensiondemandee"] / $_SESSION["resistance"])-$_SESSION["courantavide"]);		
	
		// Calcul du rendement maximum
		$_SESSION["rendementmaximumbis"] = pow( (1 - sqrt(($_SESSION["courantavide"] * $_SESSION["resistance"]) / $_SESSION['tensiondemandee'])), 2) * 100;				
	
		// Calcul du couple optimal (au rendement maximum)
		$_SESSION["couplerendemementmaxbis"] = sqrt($_SESSION["coupledemarragebis"] * $_SESSION["couplefrottement"]);	
	}


	// Affichage des consignes
	echo "<div id=\"zoneConsigne\"><strong>Etape 4 : </strong>Entrer la valeur de la tension d'alimentation et cliquer sur le bouton [calculer]</div>";


	// Debut de la zone principale
	echo "<div id=\"zonePrincipale\">";
	
	
	// Affichage du formulaire de saisie		
	echo "<form name=\"form4\" method=\"POST\" name=\"etape4.php\">";
	echo "<table>";
	echo "<tr>";
	echo "<td>Tension demand&eacute;e : </td>";
	echo "<td><input type=\"text\" name=\"tensiondemandee\" size=\"".$tailleChamps."\" value=\"".$_SESSION["tensiondemandee"]."\"></td>";
	echo "<td> V</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td><input type=\"submit\" name=\"calculer\" value=\"Calculer\" class=\"bouton\"></td>";
	echo "<td><input type=\"reset\" name=\"reinitialiser\" value=\"R&eacute;initialiser\" class=\"bouton\"></td>";
	echo "</tr>";
	
		
	// Affichage du résultat intermédiaire
	echo "<tr>";
	echo "<td>Vitesse à vide : </td>";
	if ($_SESSION["tensiondemandee"] != 0)
	{
		echo "<td><input type=\"text\" name=\"vitesseavidebis\" size=\"".$tailleChamps."\" value=\"".round($_SESSION["vitesseavidebis"], $nbChiffres)."\"></td>";
		echo "<td> rpm</td>";
	}
	echo "</tr>";
	
	echo "<tr>";
	echo "<td>Courant de d&eacute;marrage : </td>";
	if ($_SESSION["tensiondemandee"] != 0)
	{
		echo "<td><input type=\"text\" name=\"courantdemarragebis\" size=\"".$tailleChamps."\" value=\"".round($_SESSION["courantdemarragebis"], $nbChiffres)."\"></td>";
		echo "<td> A</td>";
	}
	echo "</tr>";

	echo "<tr>";
	echo "<td>Couple de d&eacute;marrage : </td>";
	if ($_SESSION["tensiondemandee"] != 0)
	{
		echo "<td><input type=\"text\" name=\"coupledemarragebis\" size=\"".$tailleChamps."\" value=\"".round($_SESSION["coupledemarragebis"], $nbChiffres)."\"></td>";
		echo "<td> mNm</td>";
	}
	echo "</tr>";

	echo "<tr>";
	echo "<td>Rendement maximum : </td>";
	if ($_SESSION["tensiondemandee"] != 0)
	{
		echo "<td><input type=\"text\" name=\"rendementmaximumbis\" size=\"".$tailleChamps."\" value=\"".round($_SESSION["rendementmaximumbis"], $nbChiffres)."\"></td>";
		echo "<td> %</td>";
	}
	echo "</tr>";

	echo "<tr>";
	echo "<td>Couple optimal : </td>";
	if ($_SESSION["tensiondemandee"] != 0)
	{
		echo "<td><input type=\"text\" name=\"couplerendemementmaxbis\" size=\"".$tailleChamps."\" value=\"".round($_SESSION["couplerendemementmaxbis"], $nbChiffres)."\"></td>";
		echo "<td> mNm</td>";
	}
	echo "</tr>";

	echo "</table>";
	echo "</form>";
		
		
	// Fin de la zone principale
	echo "</div>";
	
	
	// Inclusion du pied de page HTML
	include("pied.php");

?>	
	
