<?php
/**
 * index.php
 *
 * Ce fichier contient la page d'accueil et de commencement de l'application web
 *
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   choixMoteurs
 * @package    choixMoteurs
 * @author     David SALLE <david.salle@ac-poitiers.fr>
 * @author     Jean-Jacques MAUPETIT <j-j.maupetit@numericable.fr> 
 * @copyright  1997-2005 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    v1.0
 * @link       http://sandiris.free.fr/moteurs
 * @see        NetOther, Net_Sample::Net_Sample()
 * @since      File available since Release 0.1
 * @deprecated No
 */

	//Demarrage des sessions
	session_start();
	
	// On fixe le numero de l'onglet ou l'on se trouve
	$_SESSION["etape"] = 0;
	
	
	// Inclusion de l'en-tete HTML et du menu
	include("entete.php");
?>

	<!-- Affichage des consignes -->
	<div id="zoneConsigne"><strong>Accueil : </strong>Description de la méthode pour choisir un moteur à courant continu</div>

	<!-- Corps de la page -->
	<div id="zonePrincipale">
		<h2>Introduction</h2>
		<p>Bienvenue sur l'application en ligne : CHOIX D'UN MOTEUR A COURANT CONTINU (source Faulhaber)</p>
		<p>Si vous avez des remarques, critiques, suggestions n'hésitez pas : COURRIEL => sandiris (AT) free (DOT) fr</p>
		<p>Dernière mise à jour : 07/10/2008</p>

		<h2>Présentation</h2>
		<p>Cette application a pour but de réaliser le choix d'un moteur à courant à continu et éditer ses courbes caractéristiques</p>
		<ul>
			<li><strong>Etape 1 : </strong>En fonction de l'utilisation voulue, saisie du couple, vitesse, tension et courant. La puissance mécanique est calculée</li>
			<li><strong>Etape 2 : </strong>A partir d'un catalogue, choisir un moteur et entrer ses caractéristiques. Attention aux unités. Tous les champs sont obligatoires. Dans certains cas la constante FEM n'est pas donnée (Ke = PI x Km / 30), idem pour le couple de frottement (Mr = Km x Io). Le courant de démarrage et le couple au rendement maximum sont alors calculés.</li>
			<li><strong>Etape 3 : </strong>Les courbes sous tension nominale sont dessinés. Vous pouvez enregistrer/sauvegarder cette image (clic-droit sur le graphique, enregistrer sous ...)</li>
			<li><strong>Etape 4 : </strong>La tension d'alimentation  dont on dispose est saisie et quelques valeurs recalculées (courant et couple de démarrage, rendement maximum et couple optimal)</li>
			<li><strong>Etape 5 : </strong>Les courbes sont redessinées sous la tension d'alimentation choisie (même courbe si (Unominale = Ualimentation)</li>
			<li><strong>Résumé : </strong>Les points de fonctionnement de l'application sont dessinés et calculés</li>
		</ul>
		
		<h2>Caractéristiques techniques d'un moteur</h2>		
		<h3>1 - Tension nominale UN [Volt]</h3>
		<p>C’est la tension continue appliquée aux bornes du moteur.  Sa valeur est la base sur laquelle tous les autres paramètres sont définis. La tension de fonctionnement sera définie selon le couple et la vitesse souhaitée, en respectant les valeurs recommandées.</p>
		<h3>2 - Résistance de l’induit R [Ohm]</h3>
		<p>C’est la résistance mesurée aux bornes du moteur. Sa valeur dépend directement de la température de la bobine, elle augmente de 0,4% par dégré C. </p>
		<h3>3 - Puissance utile P2MAX [W]</h3>
		<p>C’est la puissance mécanique max. fournie par le moteur à la tension nominale.<br/>
		<img src="./images/p2max.png" /></p>
		<h3>4 - Rendement Nmax [%]</h3>
		<p>C’est le rapport maxi entre la puissance mécanique fournie par le moteur et la puissance électrique absorbée.  Il ne correspond pas toujours au point de travail optimum.<br/>
		<img src="./images/Nmax.png" /></p>
		<h3>5 - Vitesse a vide n0 [rpm]</h3>
		<p>C’est la vitesse de rotation atteinte par le moteur sans charge à la tension nominale. Cette valeur varie proportionnellement à la tension appliquée au moteur.<br/>
		<img src="./images/n0.png" /></p>
		<h3>6 - Courant à vide Io [A]</h3>
		<p>C’est la consommation de courant du moteur, fonctionnant à tension nominale et sans charge.</p>
		<h3>7 - Couple de démarrage Mh [mNm]</h3>
		<p>C’est le couple développé par le moteur à vitesse nulle et à la tension nominale. Sa valeur est fortement influencée par la température.<br/>
		<img src="./images/Mh.png" /></p>
		<h3>8 - Couple de frottement Mr [mNm]</h3>
		<p>C’est le couple de pertes causées par le frottement des balais et collecteurs et des paliers. Sa valeur est influencée par la température.<br/>
		<img src="./images/Mr.png" /></p>
		<h3>9 - Constante de vitesse Kn [rpm/V]</h3>
		<p>C’est la variation de vitesse par volt appliqué aux bornes du moteur à charge constante.
		<img src="./images/Kn.png" /></p>
		<h3>10 - Constante FEM Ke [mV/rpm]</h3>
		<p>C’est la constante correspondant à la relation entre la tension induite dans le rotor et la vitesse de rotation.<br/>
		<img src="./images/Ke.png" /></p>
		<h3>11 - Constante de couple Km [mNm/A]</h3>
		<p>C’est la constante correspondant à la relation entre le couple développé par le moteur et le courant consommé.</p>
		<h3>12 - Constante de courant Ki [A/mNm]</h3>
		</p>C’est la constante correspondant à la relation entre le courant moteur et le couple développé.<br/>
		<img src="./images/Ki.png" /></p>
		<h3>13 - Inductance L [µH]</h3>
		<p>C’est l’inductance mesurée aux bornes du moteur à 1 kHz.</p>		
	</div>
	
<?php
	// Inclusion du pied de page HTML
	include("pied.php");
?> 
