<?php
/**
 * resume.php
 *
 * Ce fichier permet d'afficher un résumé complet des paramètres, résultats et courbes produits par l'application
 * Les points de fonctionnement de l'application sont dessinés et calculés
 * 
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   choixMoteurs
 * @package    choixMoteurs
 * @author     David SALLE <david.salle@ac-poitiers.fr>
 * @author     Jean-Jacques MAUPETIT <j-j.maupetit@numericable.fr> 
 * @copyright  1997-2005 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    v1.0
 * @link       http://sandiris.free.fr/moteurs
 * @see        NetOther, Net_Sample::Net_Sample()
 * @since      File available since Release 0.1
 * @deprecated No
 */


	//Demarrage des sessions
	session_start();	
	
	// On fixe le numero de l'onglet ou l'on se trouve
	$_SESSION["etape"] = 6;
	
	
	// Inclusion de l'en-tete HTML et du menu
	include ("configuration.php");
	include("entete.php");
	
	
	// Affichage des consignes
	echo "<div id=\"zoneConsigne\"><strong>R&eacute;sum&eacute; : </strong>Ici les consignes et conseils d'utilisation</div>";
	
	
	// Debut de la zone principale
	echo "<div id=\"zonePrincipale\">";
	
	
	// Affichage des valeurs contenues dans les cookies de l'etape 1	
	echo "<table>";
	echo "<caption>Rappel des valeurs de l'application :</caption>";
	echo "<tr>";
	echo "<td>Couple demand&eacute; : </td>";
	echo "<td>".$_SESSION["couple"]."</td>";
	echo "<td> mNm</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td>Vitesse requise : </td>";
	echo "<td>".$_SESSION["vitesse"]."</td>";
	echo "<td> rpm</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td>Tension d'alimentation : </td>";
	echo "<td>".$_SESSION["tension"]."</td>";
	echo "<td> V</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td>Courant d'alimentation : </td>";
	echo "<td>".$_SESSION["courant"]."</td>";
	echo "<td> A</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td>Puissance mécanique : </td>";		
	echo "<td>".round($_SESSION["puissance"], $nbChiffres)."</td>";	
	echo "<td> W</td>";		
	echo "</tr>";		
	echo "</table>";
	echo "<br/>";

	// Affichage des valeurs contenues dans les cookies de l'etape 2
	echo "<table>";
	echo "<caption>Rappel des valeurs du moteur choisi (tension nominale et tension d'alimentation) :</caption>";
	echo "<tr>";
	echo "<td>Tension nominale : </td>";
	echo "<td>".$_SESSION["tensionnominale"]."</td>";
	echo "<td> V</td>";
	echo "<td>Tension d'alimentation : </td>";
	echo "<td>".$_SESSION["tensiondemandee"]."</td>";
	echo "<td> V</td>";
	echo "</tr>";
	echo "<td>Puissance utile maximale : </td>";
	echo "<td>".$_SESSION["puissancemax"]."</td>";
	echo "<td> W</td>";
	echo "<td></td><td></td><td></td>";
	echo "<tr>";
	echo "<td>R&eacute;sistance induit : </td>";
	echo "<td>".$_SESSION["resistance"]."</td>";
	echo "<td> ohm</td>";
	echo "<td></td><td></td><td></td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td>Courant à vide : </td>";
	echo "<td>".$_SESSION["courantavide"]."</td>";
	echo "<td> A</td>";
	echo "<td></td><td></td><td></td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td>Vitesse à vide : </td>";
	echo "<td>".round($_SESSION["vitesseavide"], $nbChiffres)."</td>";
	echo "<td> rpm</td>";
	echo "<td>Vitesse à vide : </td>";
	echo "<td>".round($_SESSION["vitesseavidebis"], $nbChiffres)."</td>";
	echo "<td> rpm</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td>Couple de d&eacute;marrage : </td>";
	echo "<td>".round($_SESSION["coupledemarrage"], $nbChiffres)."</td>";
	echo "<td> mNm</td>";
	echo "<td>Couple de d&eacute;marrage : </td>";
	echo "<td>".round($_SESSION["coupledemarragebis"], $nbChiffres)."</td>";
	echo "<td> mNm</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td>Couple de frottement : </td>";
	echo "<td>".$_SESSION["couplefrottement"]."</td>";
	echo "<td> mNm</td>";
	echo "<td></td><td></td><td></td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td>Constante FEM : </td>";
	echo "<td>".$_SESSION["constantefem"]."</td>";
	echo "<td> mV/rpm</td>";
	echo "<td></td><td></td><td></td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td>Constante de couple : </td>";
	echo "<td>".$_SESSION["constantecouple"]."</td>";
	echo "<td> mNm/A</td>";
	echo "<td></td><td></td><td></td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td>Courant de d&eacute;marrage : </td>";
	echo "<td>".round($_SESSION["courantdemarrage"], $nbChiffres)."</td>";
	echo "<td> A</td>";
	echo "<td>Courant de d&eacute;marrage : </td>";
	echo "<td>".round($_SESSION["courantdemarragebis"], $nbChiffres)."</td>";
	echo "<td> A</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td>Couple au rendement maximum : </td>";
	echo "<td>".round($_SESSION["couplerendemementmax"], $nbChiffres)."</td>";
	echo "<td> mNm</td>";
	echo "<td>Couple au rendement maximum : </td>";
	echo "<td>".round($_SESSION["couplerendemementmaxbis"], $nbChiffres)."</td>";
	echo "<td> mNm</td>";
	echo "</tr>";	
	echo "</table>";
	echo "</tr>";		
	echo "</table>";
	echo "<br/>";

		
	// Affichage du graphique
	echo "<img src='graphique.php'><br/><br/>";
	

	// Tableau de mise en page
	echo "<table><tr><td>";

	// Affichage des valeurs des points d'intersection
	echo "<table>";
	echo "<caption>Points d'intersection :</caption>";
	echo "<tr>";
	echo "<td>Intersection rendement = </td>";
	echo "<td><input type=\"text\" name=\"interRendement\" size=\"".$tailleChamps."\" value=\"".round($_SESSION["interRendement"], $nbChiffres)."\"></td>";
	echo "<td> %</td>";
	echo "</tr>";
	
	echo "<tr>";
	echo "<td>Intersection courant = </td>";
	echo "<td><input type=\"text\" name=\"interCourant\" size=\"".$tailleChamps."\" value=\"".round($_SESSION["interCourant"], $nbChiffres)."\"></td>";
	echo "<td> A</td>";
	echo "</tr>";

	echo "<tr>";
	echo "<td>Intersection vitesse = </td>";
	echo "<td><input type=\"text\" name=\"interVitesse\" size=\"".$tailleChamps."\" value=\"".round($_SESSION["interVitesse"], $nbChiffres)."\"></td>";
	echo "<td> rpm</td>";
	echo "</tr>";

	echo "<tr>";
	echo "<td>Intersection puissance = </td>";
	echo "<td><input type=\"text\" name=\"puissance\" size=\"".$tailleChamps."\" value=\"".round($_SESSION["interPuissance"], $nbChiffres)."\"></td>";
	echo "<td> W</td>";
	echo "</tr>";

	echo "</table>";

	// Tableau de mise en page
	echo "</td><td>";

	// Affichage des valeurs des points caracteristiques	
	echo "<table>";
	echo "<caption>Points caracteristiques :</caption>";
	echo "<tr>";
	echo "<td>coupledemarrage = </td>";
	echo "<td><input type=\"text\" name=\"coupledemarragebis\" size=\"".$tailleChamps."\" value=\"".round($_SESSION["coupledemarragebis"], $nbChiffres)."\"></td>";
	echo "<td> mNm</td>";
	echo "</tr>";
	
	echo "<tr>";
	echo "<td>courantdemarrage = </td>";
	echo "<td><input type=\"text\" name=\"courantdemarragebis\" size=\"".$tailleChamps."\" value=\"".round($_SESSION["courantdemarragebis"], $nbChiffres)."\"></td>";
	echo "<td> A</td>";
	echo "</tr>";

	echo "<tr>";
	echo "<td>puissancemax = </td>";
	echo "<td><input type=\"text\" name=\"puissancemaxcourbe\" size=\"".$tailleChamps."\" value=\"".round($_SESSION["puissancemaxcourbe"], $nbChiffres)."\"></td>";
	echo "<td> W</td>";
	echo "</tr>";

	echo "<tr>";
	echo "<td>vitesseavide = </td>";
	echo "<td><input type=\"text\" name=\"vitesseavidebis\" size=\"".$tailleChamps."\" value=\"".round($_SESSION["vitesseavidebis"], $nbChiffres)."\"></td>";
	echo "<td> rpm</td>";
	echo "</tr>";

	echo "<tr>";
	echo "<td>rendementmaximum = </td>";
	echo "<td><input type=\"text\" name=\"rendementmaximumbis\" size=\"".$tailleChamps."\" value=\"".round($_SESSION["rendementmaximumbis"], $nbChiffres)."\"></td>";
	echo "<td> %</td>";
	echo "</tr>";	

	echo "</table>";

	// Tableau de mise en page
	echo "</td></table>";
	
	// Fin de la zone principale
	echo "</div>";
	
	
	// Inclusion du pied de page HTML
	include("pied.php");

?>
